Package org.eclipse.emf.cdo.common.commit.handler

## Class TextCommitInfoLog

- java.lang.Object
- - org.eclipse.emf.cdo.common.commit.handler.TextCommitInfoLog

- All Implemented Interfaces:
    `CDOCommitInfoHandler`

      public class TextCommitInfoLog
      extends java.lang.Object
      implements CDOCommitInfoHandler

  A `commit info handler` that synchronously writes `commit infos` to a text log.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextCommitInfoLog​(java.io.OutputStream stream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleCommitInfo​(CDOCommitInfo commitInfo)` |
    `protected void` | `handleException​(java.lang.Exception ex)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextCommitInfoLog

          public TextCommitInfoLog​(java.io.OutputStream stream)

  - ### Method Detail

    - #### handleCommitInfo

          public void handleCommitInfo​(CDOCommitInfo commitInfo)

      Specified by:
        `handleCommitInfo` in interface `CDOCommitInfoHandler`

    - #### handleException

          protected void handleException​(java.lang.Exception ex)